Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-1010

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2012-1010
Last Modified 08 Feb 2012 12:00:00
Published 07 Feb 2012 04:55:04
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2012-1010

Summary

Unrestricted file upload vulnerability in actions.php in the AllWebMenus plugin before 1.1.8 for WordPress allows remote attackers to execute arbitrary PHP code by uploading a ZIP file containing a PHP file, then accessing it via a direct request to the file in an unspecified directory.

Vulnerable Systems

Application

  • Likno Allwebmenus Plugin 1.0.1

  • Likno Allwebmenus Plugin 1.0.10

  • Likno Allwebmenus Plugin 1.0.11

  • Likno Allwebmenus Plugin 1.0.12

  • Likno Allwebmenus Plugin 1.0.17

  • Likno Allwebmenus Plugin 1.0.18

  • Likno Allwebmenus Plugin 1.0.19

  • Likno Allwebmenus Plugin 1.0.20

  • Likno Allwebmenus Plugin 1.0.21

  • Likno Allwebmenus Plugin 1.0.22

  • Likno Allwebmenus Plugin 1.0.23

  • Likno Allwebmenus Plugin 1.0.24

  • Likno Allwebmenus Plugin 1.0.3

  • Likno Allwebmenus Plugin 1.0.4

  • Likno Allwebmenus Plugin 1.0.9

  • Likno Allwebmenus Plugin 1.1.1

  • Likno Allwebmenus Plugin 1.1.2

  • Likno Allwebmenus Plugin 1.1.3

  • Likno Allwebmenus Plugin 1.1.4

  • Likno Allwebmenus Plugin 1.1.5

  • Likno Allwebmenus Plugin 1.1.6

  • Likno Allwebmenus Plugin 1.1.7


References

XF - allwebmenus-actions-file-upload(72640)

BID - 51615

EXPLOIT-DB - 18407

CONFIRM - http://wordpress.org/extend/plugins/allwebmenus-wordpress-menu-plugin/changelog/

SECUNIA - 47659

BUGTRAQ - 20120122 AllWebMenus < 1.1.9 WordPress Menu Plugin Arbitrary file upload


Last Updated: 27 May 2016 10:56:28